package org.dromara.ygpassport.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.ScoreplanBo;
import org.dromara.ygpassport.domain.vo.ScoreplanVo;

import java.io.Serial;

@Data
@AutoMapper(target = ScoreplanBo.class, reverseConvertGenerate = false)
public class WxScoreplanDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 个人目标
     */
    private String score;

    /**
     * 成长计划
     */
    private String plan;

    /**
     * 附件
     */
    private String filePath;

    public WxScoreplanDto() {

    }

    public WxScoreplanDto(ScoreplanVo scoreplanVo) {
        this.id = scoreplanVo.getId();
        this.stuNo = scoreplanVo.getStuNo();
        this.semester = scoreplanVo.getSemester();
        this.score = scoreplanVo.getScore();
        this.plan = scoreplanVo.getPlan();
        this.filePath = scoreplanVo.getFilePath();
    }
}
